@import '../core/base';
@import '../modules/form-group';
@import '../modules/button-group';

.table {
  border-left: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  box-shadow: 0 0 3px rgba(0,0,0, .2);
  margin: 25px auto;
  border-spacing: 0;
  width: max-content;
  &_blocked {
    pointer-events: none;
  }
  &__row {
    position: relative;
    @include flex(center, center);
  }
  &__cell {
    align-items: center;
    display: flex;
    border-right: 1px solid #ddd;
    border-top: 1px solid #ddd;
    justify-content: center;
    font-family: 'Indie Flower', cursive;
    font-size: 4.5rem;
    // color: $color-blue;
    color: #555;
    padding: 5px;
    transition: all .12s ease-in 0s;
    height: 50px;
    width: 50px;
    &:hover {
      background-color: #eee;
    }
  }
}

